net.sf.jasperreports.engine.fill

## Class ComplexTextLineWrapper

- java.lang.Object
- - net.sf.jasperreports.engine.fill.ComplexTextLineWrapper

- All Implemented Interfaces:
    TextLineWrapper

      public class ComplexTextLineWrapper
      extends java.lang.Object
      implements TextLineWrapper

  Version:
    $Id: ComplexTextLineWrapper.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ComplexTextLineWrapper()`
    `protected` | `ComplexTextLineWrapper(ComplexTextLineWrapper parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextLine` | `baseTextLine(int index)`
    `char` | `charAt(int index)`
    `java.lang.String` | `getLineText(int start, int end)`
    `void` | `init(TextMeasureContext context)`
    `TextLineWrapper` | `lastLineWrapper(java.lang.String lineText, int start, int textLength, boolean truncateAtChar)`
    `float` | `maxFontsize(int start, int end)`
    `int` | `maxFontSize(int start, int end)` Deprecated. Replaced by `maxFontsize(int, int)`.
    `TextLine` | `nextLine(float width, int endLimit, boolean requireWord)`
    `int` | `paragraphEnd()`
    `int` | `paragraphPosition()`
    `protected void` | `setAttributes(java.text.AttributedString string, java.text.AttributedCharacterIterator attributes, int stringOffset)`
    `protected void` | `setAttributes(java.text.AttributedString string, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, int startIndex, int endIndex)`
    `boolean` | `start(JRStyledText styledText)`
    `void` | `startEmptyParagraph(int paragraphStart)`
    `protected void` | `startParagraph(java.text.AttributedCharacterIterator paragraph, boolean truncateAtChar)`
    `void` | `startParagraph(int paragraphStart, int paragraphEnd, boolean truncateAtChar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexTextLineWrapper

          public ComplexTextLineWrapper()

    - #### ComplexTextLineWrapper

          protected ComplexTextLineWrapper(ComplexTextLineWrapper parent)

  - ### Method Detail

    - #### init

          public void init(TextMeasureContext context)

      Specified by:
        `init` in interface `TextLineWrapper`

    - #### start

          public boolean start(JRStyledText styledText)

      Specified by:
        `start` in interface `TextLineWrapper`

    - #### startParagraph

          public void startParagraph(int paragraphStart,
                            int paragraphEnd,
                            boolean truncateAtChar)

      Specified by:
        `startParagraph` in interface `TextLineWrapper`

    - #### startEmptyParagraph

          public void startEmptyParagraph(int paragraphStart)

      Specified by:
        `startEmptyParagraph` in interface `TextLineWrapper`

    - #### startParagraph

          protected void startParagraph(java.text.AttributedCharacterIterator paragraph,
                            boolean truncateAtChar)

    - #### paragraphPosition

          public int paragraphPosition()

      Specified by:
        `paragraphPosition` in interface `TextLineWrapper`

    - #### paragraphEnd

          public int paragraphEnd()

      Specified by:
        `paragraphEnd` in interface `TextLineWrapper`

    - #### nextLine

          public TextLine nextLine(float width,
                          int endLimit,
                          boolean requireWord)

      Specified by:
        `nextLine` in interface `TextLineWrapper`

    - #### baseTextLine

          public TextLine baseTextLine(int index)

      Specified by:
        `baseTextLine` in interface `TextLineWrapper`

    - #### maxFontsize

          public float maxFontsize(int start,
                          int end)

      Specified by:
        `maxFontsize` in interface `TextLineWrapper`

    - #### maxFontSize

          public int maxFontSize(int start,
                        int end)

      Deprecated. Replaced by `maxFontsize(int, int)`.
      Specified by:
        `maxFontSize` in interface `TextLineWrapper`

    - #### getLineText

          public java.lang.String getLineText(int start,
                                     int end)

      Specified by:
        `getLineText` in interface `TextLineWrapper`

    - #### charAt

          public char charAt(int index)

      Specified by:
        `charAt` in interface `TextLineWrapper`

    - #### lastLineWrapper

          public TextLineWrapper lastLineWrapper(java.lang.String lineText,
                                        int start,
                                        int textLength,
                                        boolean truncateAtChar)

      Specified by:
        `lastLineWrapper` in interface `TextLineWrapper`

    - #### setAttributes

          protected void setAttributes(java.text.AttributedString string,
                           java.text.AttributedCharacterIterator attributes,
                           int stringOffset)

    - #### setAttributes

          protected void setAttributes(java.text.AttributedString string,
                           java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                           int startIndex,
                           int endIndex)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com